<div class="row">
  <div class="col-12 d-flex justify-content-center">

    <div class="col-sm-12 col-md-6 bg-light p-5 mt-4 mb-5 custom-box shadow-lg mb-5 bg-white rounded">
      <div class="custom-title pb-4">
        <span><strong>Transferir</strong></span>
      </div>
        <div class="mb-2">
          <label for="exampleInputEmail1" class="form-label">Destinatario</label>
          <select class="selectpicker form-control" data-show-subtext="true" data-live-search="true" (click)="info($event)">
            <option data-subtext="Banco estado">Seleccione un destinatario</option>
            <option *ngFor="let item of addressee" data-subtext="Banco estado" [value]="item.id">{{ item.name }} - {{ item.bank }}</option>
          </select>
        </div>

        <h4 class="form-label mt-4 mb-3" *ngIf="selcetAddressee">Datos destinatario</h4>
        <ul *ngIf="selcetAddressee">
          <li class="form-label">
            nombre: {{ selcetAddressee.name }}
          </li>
          <li class="form-label">
            correo: {{ selcetAddressee.email }}
          </li>
          <li class="form-label">
            banco: {{ selcetAddressee.bank }}
          </li>
          <li class="form-label">
            Tipo cuenta: {{ selcetAddressee.account_type }}
          </li>
        </ul>

        <div class="mb-2 mt-4" *ngIf="selcetAddressee">
          <label for="exampleInputEmail1" class="form-label">Monto</label>
          <input currencyMask class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp" [(ngModel)]="amount" [options]="{ prefix: '$ ', thousands: '.', decimal: ',', precision: '0' }">
        </div>

        <div class="d-grid gap-2 mt-4" *ngIf="selcetAddressee">
          <button class="btn btn-primary" type="buttom" (click)="sendTransfer()">Transferir</button>
        </div>

    </div>
  </div>
</div>